Bug 1705506 (CVE-2019-0820) - CVE-2019-0820 dotnet: timeouts for regular expressions are not enforced
Summary: CVE-2019-0820 dotnet: timeouts for regular expressions are not enforced
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0820
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1705533 1705536 1705539 1709436 1709439 1710964
Blocks: 1703527
TreeView+ depends on / blocked
 
Reported: 2019-05-02 12:26 UTC by Stefan Cornelius
Modified: 2019-09-29 15:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:54:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1236 None None None 2019-05-15 21:54:37 UTC
Red Hat Product Errata RHSA-2019:1259 None None None 2019-05-22 10:22:19 UTC

Description Stefan Cornelius 2019-05-02 12:26:31 UTC
It was discovered that RegEx strings were not properly processed, which can be exploited by anauthenticated remote attackers to cause a Denial of Service by sending specially crafted requests to a .NET Core application.

External references:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0820

Comment 5 errata-xmlrpc 2019-05-15 21:54:36 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2019:1236 https://access.redhat.com/errata/RHSA-2019:1236

Comment 7 errata-xmlrpc 2019-05-22 10:22:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1259 https://access.redhat.com/errata/RHSA-2019:1259


Note You need to log in before you can comment on or make changes to this bug.